MSP Device
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| batchAdoptForMsp | POST | batch adopt device in msp view |
| adoptOneForMsp | POST | Start adopt device For Msp |
| getMspObjectHealthIncident | GET | MSP - Get device/client health incidents |
| getMspDeviceIncidentCounts | POST | Get MSP device incident counts |
| getMspKnownDeviceList | GET | Get MSP known device list |
| getTags_3 | GET | Get tag list |
| getMspUnknownDeviceList | GET | Get MSP unknown device list |
batchAdoptForMsp
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/devices/batch-adopt
batch adopt device in msp view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Omada ID |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchAdoptDeviceRequest
| Field | Type | Required | Description |
|---|---|---|---|
username | string | no | Adopt device username. It should contain 1 to 64 characters. |
password | string | no | Adopt device password. It should contain 1 to 64 characters. |
macs | array<string> | no | MAC list of devices. E.g. AA-BB-CC-DD-11-22 |
// omada_call_operation
{
"operationId": "batchAdoptForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
batch adopt device in msp view.This interface does not return the actual adoptive result,you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access
adoptOneForMsp
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/devices/{deviceMac}/start-adopt
Start adopt device For Msp
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Omada ID |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema AdoptDeviceRequest
| Field | Type | Required | Description |
|---|---|---|---|
username | string | no | Adopt device username. It should contain 1 to 64 characters. |
password | string | no | Adopt device password. It should contain 1 to 64 characters. |
// omada_call_operation
{
"operationId": "adoptOneForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Start adopt device in msp view.This interface does not return the actual adoptive result, you need to use the interface:Get device adopt result to obtain the adoptive result
The interface requires one of the permissions:
MSP Adopt Device Manager Access
MSP Add Device Manager Access
getMspObjectHealthIncident
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/health/incident/{mac}
MSP - Get device/client health incidents
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | Customer ID (same as omadacId) |
siteId | path | string | yes | Site ID (site ID or site name) |
mac | path | string | yes | |
filters.startTime | query | integer | yes | Start time in milliseconds |
filters.endTime | query | integer | yes | End time in milliseconds |
// omada_call_operation
{
"operationId": "getMspObjectHealthIncident",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"mac": "<mac>",
"filters.startTime": "<filters.startTime>",
"filters.endTime": "<filters.endTime>"
}
}Details, permissions and error codes
MSP view: Get incident list for device/client health detail page. customerId is omadacId.
The interface requires one of the permissions:
Incidents Page View Only
MSP Device Manager View Only
getMspDeviceIncidentCounts
POST /openapi/v1/msp/{mspId}/devices/incidents
Get MSP device incident counts
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
Request body — application/json (required) — schema MspDeviceIncidentCountRequestOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
deviceList | array<MspDeviceIncidentCountItemOpenApiVO> | yes | Devices grouped by their owning customer. |
// omada_call_operation
{
"operationId": "getMspDeviceIncidentCounts",
"body": "{...}"
}Details, permissions and error codes
Get incident counts for customerId and device MAC pairs accessible in MSP view.
The interface requires one of the permissions:
MSP Device Manager View Only
Incidents Page View Only
getMspKnownDeviceList
GET /openapi/v1/msp/{mspId}/devices/known-devices
Get MSP known device list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchMacs | query | string | no | Fuzzy query parameters, support field mac |
searchNames | query | string | no | Fuzzy query parameters, support field name |
searchModels | query | string | no | Fuzzy query parameters, support field model |
searchSns | query | string | no | Fuzzy query parameters, support field sn |
filters.tag | query | string | no | Filter query parameters, support field tag ID |
filters.deviceSeriesType | query | string | no | Filter query parameters, support field Device series type. 0: basic; 1: pro. |
// omada_call_operation
{
"operationId": "getMspKnownDeviceList"
}Details, permissions and error codes
Get MSP known device list
The interface requires one of the permissions:
MSP Device Manager View Only
getTags_3
GET /openapi/v1/msp/{mspId}/devices/tag
Get tag list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getTags_3"
}Details, permissions and error codes
Get tag list.
The interface requires one of the permissions:
Site Device Manager View Only
MSP Device Manager View Only
Site Map Manager View Only
getMspUnknownDeviceList
GET /openapi/v1/msp/{mspId}/devices/unknown-devices
Get MSP unknown device list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchMacs | query | string | no | Fuzzy query parameters, support field mac |
searchNames | query | string | no | Fuzzy query parameters, support field name |
searchModels | query | string | no | Fuzzy query parameters, support field model |
filters.deviceSeriesType | query | string | no | Filter query parameters, support field Device series type. 0: basic; 1: pro. |
// omada_call_operation
{
"operationId": "getMspUnknownDeviceList"
}Details, permissions and error codes
Get MSP unknown device list
The interface requires one of the permissions:
MSP Device Manager View Only